summaryrefslogtreecommitdiffstats
path: root/satellit_upgrader/pack-update.sh
diff options
context:
space:
mode:
authorSimon Rettberg2021-06-18 14:32:04 +0200
committerSimon Rettberg2021-06-18 14:32:04 +0200
commit1169c84ac66f4c75c51e2525c5e55ce77bbe792d (patch)
tree1d74152c5e1143ac6c70b0ff8fb66aeccc0c00fa /satellit_upgrader/pack-update.sh
parent[SSPS] Properly copy ipxe config (diff)
downloadsetup-scripts-1169c84ac66f4c75c51e2525c5e55ce77bbe792d.tar.gz
setup-scripts-1169c84ac66f4c75c51e2525c5e55ce77bbe792d.tar.xz
setup-scripts-1169c84ac66f4c75c51e2525c5e55ce77bbe792d.zip
[SSPS] slx-cert: Fix handling missing/outdated packed certificate
Diffstat (limited to 'satellit_upgrader/pack-update.sh')
-rwxr-xr-xsatellit_upgrader/pack-update.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/satellit_upgrader/pack-update.sh b/satellit_upgrader/pack-update.sh
index b23aaa7..ac60a89 100755
--- a/satellit_upgrader/pack-update.sh
+++ b/satellit_upgrader/pack-update.sh
@@ -122,7 +122,7 @@ while true; do
done
[ -z "$VERSION" ] && perror "No --version given"
-[[ "$VERSION" =~ ^v[0-9]\.[0-9][a-z]?$ ]] || echo "${RED}Warn${RESET}: Version format is not vX.X(y)"
+[[ "$VERSION" =~ ^v[0-9]\.[0-9]+[a-z]?$ ]] || echo "${RED}Warn${RESET}: Version format is not vX.X(y)"
# Prepare source directory
declare -rg SRCDIR=$1